﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=9.85
@EndOfDesignText@
#Region Shared Files
#CustomBuildAction: folders ready, %WINDIR%\System32\Robocopy.exe,"..\..\Shared Files" "..\Files"
'Ctrl + click to sync files: ide://run?file=%WINDIR%\System32\Robocopy.exe&args=..\..\Shared+Files&args=..\Files&FilesSync=True
#End Region

'Ctrl + click to export as zip: ide://run?File=%B4X%\Zipper.jar&Args=Project.zip
'B4A ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4A\%PROJECT_NAME%.b4a 
'B4i ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4i\%PROJECT_NAME%.b4i 
'B4J ide://run?file=%WINDIR%\System32\cmd.exe&Args=/c&Args=start&Args=..\..\B4J\%PROJECT_NAME%.b4j
Sub Class_Globals
	Private Root As B4XView
	Private xui As XUI
	Public form As Form
	Public Pane1 As Pane
	Private fx As JFX	
	Public Scale As Float	
	Public map As Map
	
	Private MenuBar1 As MenuBar
	Private SetTime,Srjz,Zcjz,Lszcx,Szflcx,Ndhzcx,Jsq,Rjb As ImageButton
	Public SQL1 As SQL
	Public SQLDataBasePath,SQLDateBaseName,tbName,zhanglb As String
	Private shz1 As shz		
	Private List1,List2 As List
End Sub

Public Sub Initialize
	'B4XPages.GetManager.LogEvents = True	
	List1.Initialize
	List2.Initialize
	Create_Map
	shz1.Initialize
	
End Sub

Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("MainPage")
	
	B4XPages.AddPage("shz1",shz1)
	
	form = B4XPages.GetNativeParent(Me)
	Dim joForm As JavaObject = form
	Dim joStage As JavaObject = joForm.GetField("stage")
	joStage.RunMethod("setMaximized",Array(True))
	form.Resizable=False
	form.Stylesheets.Add(File.GetUri(File.DirAssets, "main.css"))
	Scale=form.WindowWidth/1280	
	getsizes
#If B4J	
	xui.SetDataFolder("jtjz")	
#End If	
	SQLDataBasePath=xui.DefaultFolder
	SQLDateBaseName="mydb.db"
	If File.Exists(SQLDataBasePath,SQLDateBaseName)=False Then
		File.Copy(File.DirAssets,SQLDateBaseName,SQLDataBasePath,SQLDateBaseName)
	End If
#If B4J		
	SQL1.InitializeSQLite(SQLDataBasePath,SQLDateBaseName,True)
#Else
	SQL1.Initialize(SQLDataBasePath, SQLDateBaseName, True)
#End If		
	
End Sub

Private Sub B4XPage_Appear
	Resize_Scale	
End Sub

private Sub Create_Map
	map.Initialize
	Private row(10) As String=Array As String("一","二","三","四","五","六","七","八","九","十")
	For i=1 To 99
		If i<=10 Then
			map.Put(i,row(i-1))
		Else
			Dim a1 As String=i.As(String).SubString(1)
			Dim a2 As String=i.As(String).SubString2(0,1)
			a2=IIf(a2="1","十",$"${row(a2.As(Int)-1)}十"$)
			a1=IIf(a1="0","",row(a1.As(Int)-1))
			map.Put(i,$"${a2}${a1}"$)
		End If		
	Next
End Sub

'菜单和按钮执行程序
Sub Setjtcy_Action
	tbName="jtcy"
	ShowPage("shz1")
End Sub

Sub Setsrlb_Action
	tbName="srlb"
	ShowPage("shz1")
End Sub

Sub Setzclb_Action
	tbName="zclb"
	ShowPage("shz1")
End Sub

Sub shouru_Action
	zhanglb="收入"
	ShowPage("EditPage1")
End Sub

Sub zhichu_Action
	zhanglb="支出"
	ShowPage("EditPage1")
End Sub

Sub lszb_Action
	ShowPage("liushui1")
End Sub

Sub szflzb_Action
	ShowPage("Hzzb1")
End Sub

Sub ndhzzb_Action
	ShowPage("Ndzb1")
End Sub

Sub ShowPage(PageId As String)
	Dim list As List=B4XPages.GetManager.mStackOfPageIds.AsList
	Dim row(list.Size) As String
	For i=0 To list.Size-1
		row(i)=list.Get(i)
	Next
	For i=0 To row.Length-1
		If row(i)<>"mainpage" And row(i)<>PageId Then
			B4XPages.ClosePage(B4XPages.GetPage(row(i)))
		End If
	Next
	B4XPages.ShowPage(PageId)
End Sub

'主页关闭时，关闭所有打开的B4xPage页面
Private Sub  B4XPage_Disappear
	Dim list As List=B4XPages.GetManager.mStackOfPageIds.AsList
	Dim row(list.Size) As String
	For i=0 To list.Size-1
		row(i)=list.Get(i)
	Next
	For i=0 To row.Length-1
		B4XPages.ClosePage(B4XPages.GetPage(row(i)))
	Next
End Sub

Private Sub Resize_Scale
	Dim i As Int=0
	For Each n As B4XView In Root.As(Pane)
		Dim row(4) As Double=List1.Get(i)
		n.Top=row(0)*Scale		
		n.Left=row(1)*Scale
		n.Height=row(2)*Scale	
		If n Is MenuBar Then
			n.TextSize=row(3)*Scale
		End If
		i=i+1	
	Next
	i=0
	For Each a As ImageButton In Array As Object(SetTime,Srjz,Zcjz,Lszcx,Szflcx,Ndhzcx,Jsq,Rjb)
		Dim row(5) As Double=List2.Get(i)
		a.TextSize=row(0)*Scale
		a.Width=row(1)*Scale
		a.Height=row(2)*Scale
		a.Top=row(3)*Scale
		a.Left=row(4)*Scale			
		i=i+1
	Next
End Sub

Private Sub B4XPage_IconifiedChanged (Iconified As Boolean)
	If Iconified=False Then
		Resize_Scale 		
	End If
End Sub

Sub getsizes	
	For Each n As B4XView In Root.As(Pane)		
		If n Is MenuBar Then
			List1.Add(Array As Double(n.Top,n.Left,n.Height,n.TextSize))			
		Else
			List1.Add(Array As Double(n.Top,n.Left,n.Height,0))
		End If			
	Next
	For Each n1 As ImageButton In Array As Object(SetTime,Srjz,Zcjz,Lszcx,Szflcx,Ndhzcx,Jsq,Rjb)
		List2.Add (Array As Double(n1.TextSize,n1.Width,n1.Height,n1.Top,n1.Left))			
	Next
End Sub