﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Private fx As JFX
	Private table As TableView
	Private SQL1 As SQL
	Private tbName,fieldName,title,colHeaderName,lbName,sql As String
	Private btn_add,btn_back,btn_del,btn_down,btn_up As Button
	Private color1,CurrentRowIndex,CurrentEditIndex As Int
	Private ico As Image
	Private Label1,Label2 As Label
	Public TextArea1 As TextArea
	Private Scale As Float
	Private form As Form
	Private List1,List2 As List	
	Private Pane1,Pane2 As Pane
	
End Sub

Public Sub Initialize As Object	
	List1.Initialize
	List2.Initialize
	Return Me
End Sub


Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("shz")
	
	AddKeyPressedListener
	SQL1=B4XPages.MainPage.SQL1
	Scale=B4XPages.MainPage.Scale
	color1=xui.PaintOrColorToColor(btn_add.TextColor)
	ico=fx.LoadImage(File.DirAssets,"booka.png")
	texearea_initialize
	TextArea1.Editable=False
	
	form = B4XPages.GetNativeParent(Me)
	form.WindowWidth = 540dip
	form.WindowHeight =335dip
	form.Icon=fx.LoadImage(File.DirAssets,"booka.png")
	'form.SetFormStyle("DECORATED")
	form.Resizable=False
	form.AlwaysOnTop=True
	form.SetOwner(B4XPages.MainPage.form)
	getSizes	
End Sub

private Sub B4XPage_Appear
	
	tbName=B4XPages.MainPage.tbName
	fieldName=IIf(tbName="jtcy","xm","lb")
	title=IIf(tbName="jtcy","家庭成员设置",IIf(tbName="srlb","收入类别设置","支出类别设置"))
	colHeaderName=IIf(tbName="jtcy","姓名",IIf(tbName="srlb","收入类别","支出类别"))
	lbName=IIf(tbName="jtcy","家庭成员",IIf(tbName="srlb","收入类别","支出类别"))
	B4XPages.SetTitle(Me,title)
	Label2.Text=title
	table_initialize
	showtable
	table.RequestFocus
	Resize_Scale	
End Sub

Private Sub table_initialize
	table.SetColumnWidth(0,50)
	table.SetColumnWidth(1,170)
	table.SetColumnHeader(1,colHeaderName)
	SetColumnStyle(1, "-fx-alignment: CENTER;")
	SetColumnStyle(0, "-fx-alignment: CENTER;")	
End Sub

Sub SetColumnStyle(Index As Int, Style As String)
	Dim jo As JavaObject = table
	Dim Column As JavaObject = jo.RunMethodJO("getColumns", Null).RunMethod("get", Array(Index))
	Column.RunMethod("setStyle", Array(Style))
End Sub

private Sub showtable
	table.Items.Clear
	sql=$"select xh,${fieldName} from ${tbName} order by xh"$	
	Dim rs As ResultSet=SQL1.ExecQuery(sql)
	Do While rs.NextRow
		table.Items.Add(Array As Object(rs.GetInt2(0),rs.GetString2(1)))
	Loop	
	rs.Close
	btn_del.Enabled=IIf(table.Items.Size>0,True,False)
	btn_del.As(B4XView).TextColor=IIf(btn_del.Enabled=False,xui.Color_Gray,color1)
	table.SingleCellSelection=True
	CurrentRowIndex=-1
	If table.Items.Size>0 Then 
		table.SelectCell(0,1)
		CurrentRowIndex=0
	End If
	CurrentEditIndex = -1
End Sub

Private Sub table_MouseClicked (EventData As MouseEvent)
	Dim rowindex As Int=table.SelectedRow
	If CurrentEditIndex>=0 And CurrentEditIndex <> rowindex Then
		EndEdit
		Wait For EndEdit_Complete
	End If
	If EventData.ClickCount = 2 And table.Items.Size>0 And CurrentRowIndex>=0 Then
		get_currentEditableCell
	End If
End Sub

Private Sub table_SelectedCellChanged (Rowindex As Int, ColIndex As Int, Cell As Object)
	If ColIndex=0 Then
		table.SelectCell(Rowindex,1)
	End If
	CurrentRowIndex=Rowindex
	If Rowindex>=8 Then
		table.ScrollTo(Rowindex)
	End If
	btn_up.Enabled=IIf(Rowindex>0,True,False)
	btn_up.As(B4XView).TextColor=IIf(btn_up.Enabled=False,xui.Color_Gray,color1)
	btn_down.Enabled=IIf(Rowindex<table.Items.Size-1,True,False)
	btn_down.As(B4XView).TextColor=IIf(btn_down.Enabled=False,xui.Color_Gray,color1)
	btn_del.Enabled=IIf(table.Items.Size>0 And CurrentRowIndex>=0,True,False)
	btn_del.As(B4XView).TextColor=IIf(btn_del.Enabled=False,xui.Color_Gray,color1)
End Sub

'创建TextField文本框
Sub CreateItemtf (tx As String,RowIndex As Int) As TextField
	Dim tf As TextField
	tf.Initialize("tf")
	tf.Alignment="CENTER"
	tf.Text=tx
	tf.Tag=RowIndex
	Return tf
End Sub

'TableView表格的自定义操作事件(单元格开始编辑、失去焦点、结束编辑事件;获取行、获取当前编辑单元格对象)
Sub StartEdit (tf As TextField)
	Dim RowIndex As Int=tf.Tag
	CurrentRowIndex = RowIndex	
	table.SelectedRow=RowIndex
	table.SelectCell(RowIndex,1)
	Sleep(100)
	tf.RequestFocus
	tf.Editable = True
	tf.SelectAll
End Sub

Sub LostFocus
	If CurrentEditIndex>=0 Then
		Dim row() As Object = table.Items.Get(CurrentEditIndex)
		Dim tf As TextField = row(1)
		Dim tx As String=tf.Text.Trim		
		If tx.Length=0 Then			
			xui.Msgbox2Async($"${lbName}不能为空！"$,"提示信息","确定","","",ico)			
			table.SelectCell(CurrentEditIndex,1)
			tf.RequestFocus
			Return
		Else
			Dim itemrow() As Object=get_TableRow(CurrentEditIndex)
			If tx<>itemrow(1) Then
				If check_Name(tx)=False Then
					xui.Msgbox2Async($"数据库中已有相同的${lbName}！"$,"提示信息","确定","","",ico)			
					table.SelectCell(CurrentEditIndex,1)
					tf.RequestFocus
					Return
				End If
			End If
		End If
	End If
	CallSubDelayed(Me, "LostFocus_Complete")
End Sub

Sub EndEdit
	If CurrentEditIndex>=0 Then
		LostFocus
		Wait For LostFocus_Complete
		Dim itemrow() As Object=get_TableRow(CurrentEditIndex)
		Dim row() As Object = table.Items.Get(CurrentEditIndex)
		Dim tf As TextField=row(1)
		itemrow(1)=tf.Text
		Dim xh As Int=itemrow(0)
		Dim tx As String=itemrow(1)
		sql=$"select count(*) from ${tbName}"$
		Dim co As Int=SQL1.ExecQuerySingleResult(sql)
		If co<table.Items.Size Then
			insert_record(co+1,tx)
		Else
			update_table(xh,tx)
		End If
		table.Items.RemoveAt(CurrentEditIndex)
		table.Items.InsertAt(CurrentEditIndex,itemrow)
		CurrentEditIndex=-1
		CallSubDelayed(Me, "EndEdit_Complete")
	End If
End Sub

Sub get_currentEditableCell
	Dim rowindex As Int=table.SelectedRow
	Dim tx As String=table.SelectedRowValues(1)
	Dim n As String=table.SelectedRowValues(0)	
	Dim tf As TextField=CreateItemtf(tx,rowindex)
	table.Items.RemoveAt(rowindex)
	table.Items.InsertAt(rowindex,Array As Object(n,tf))	
	CurrentEditIndex=rowindex
	CallSubDelayed2(Me, "StartEdit",tf)
End Sub

Sub get_TableRow (rowIndex As Int) As Object
	Dim row() As Object = table.Items.Get(rowIndex)
	Dim xh As String=row(0)
	sql=$"select ${fieldName} from ${tbName} where xh=${xh}"$
	Dim tx As String=SQL1.ExecQuerySingleResult(sql)
	Dim row1(2) As Object
	row1(0)=xh
	row1(1)=tx
	Return row1
End Sub

'检索、更改、增加、删除数据库记录事件
Sub check_Name (tx As String) As Boolean
	sql=$"select count(*) from ${tbName} where ${fieldName}='${tx}'"$
	Dim co As Int=SQL1.ExecQuerySingleResult(sql)
	Return IIf(co>0,False,True)
End Sub

Sub update_table(xh As Int,tx As String)
	sql=$"update ${tbName} set ${fieldName}='${tx}' where xh=${xh}"$
	SQL1.ExecNonQuery(sql)
End Sub

Sub insert_record(xh As Int,tx As String)
	sql=$"insert into ${tbName} values(${xh},'${tx}')"$
	SQL1.ExecNonQuery(sql)
End Sub

Sub del_record(xh As Int)
	sql=$"delete from ${tbName} where xh=${xh}"$
	SQL1.ExecNonQuery(sql)
	sql=$"update ${tbName} set xh=xh-1 where xh>${xh}"$
	SQL1.ExecNonQuery(sql)
End Sub

'添加键盘监听事件
Sub AddKeyPressedListener
	Dim r As Reflector
	r.Target =table
	r.AddEventHandler("keypressed", "javafx.scene.input.KeyEvent.KEY_PRESSED")
End Sub

Sub KeyPressed_Event (e As Event)
	Dim jo As JavaObject = e
	Dim keycode As String = jo.RunMethod("getCode", Null)
	If keycode = "ENTER" Then
		If CurrentEditIndex>=0 Then
			Dim index As Int=CurrentEditIndex
			EndEdit
			Wait For EndEdit_Complete
			table.SelectCell(index,1)
		Else
			get_currentEditableCell
		End If
	End If
	If keycode="F1" Then
		btn_add_Click
	End If
End Sub

'上移、下移、增加、删除、返回按钮事件
Private Sub btn_up_Click
	Dim index As Int=table.SelectedRow
	If CurrentEditIndex>=0 Then
		EndEdit
		Wait For EndEdit_Complete
		table.SelectCell(index,1)
	End If
	Dim rowindex As Int=table.SelectedRow
	Dim row() As Object=table.Items.Get(rowindex)
	Dim row1() As Object=table.Items.Get(rowindex-1)
	sql=$"update ${tbName} set ${fieldName}='${row1(1)}' where xh=${row(0)}"$
	SQL1.ExecNonQuery(sql)
	sql=$"update ${tbName} set ${fieldName}='${row(1)}' where xh=${row1(0)}"$
	SQL1.ExecNonQuery(sql)
	table.Items.Clear
	showtable
	table.SelectCell(rowindex-1,1)
	table.RequestFocus
End Sub

Private Sub btn_down_Click
	Dim index As Int=table.SelectedRow
	If CurrentEditIndex>=0 Then
		EndEdit
		Wait For EndEdit_Complete
		table.SelectCell(index,1)
	End If
	Dim rowindex As Int=table.SelectedRow
	Dim row() As Object=table.Items.Get(rowindex)
	Dim row1() As Object=table.Items.Get(rowindex+1)
	sql=$"update ${tbName} set ${fieldName}='${row1(1)}' where xh=${row(0)}"$
	SQL1.ExecNonQuery(sql)
	sql=$"update ${tbName} set ${fieldName}='${row(1)}' where xh=${row1(0)}"$
	SQL1.ExecNonQuery(sql)
	table.Items.Clear
	showtable
	table.SelectCell(rowindex+1,1)
	table.RequestFocus
End Sub
 
Private Sub btn_del_Click
	Dim rowindex As Int=table.SelectedRow
	If CurrentEditIndex>=0 Then
		Dim index As Int=CurrentEditIndex
		EndEdit
		Wait For EndEdit_Complete
		table.SelectCell(index,1)
	End If
	Dim xh As Int=table.SelectedRowValues(0)
	Dim lb As String=table.SelectedRowValues(1)
	Dim sf As Object = xui.Msgbox2Async($"您确定要删除 ${lb} 这个${lbName}吗?"$, "提示信息", "确定", "", "取消",ico)
	Wait For (sf) Msgbox_Result (Result As Int)
	If Result <> xui.DialogResponse_Positive Then
		Return
	End If
	del_record(xh)
	table.Items.Clear
	showtable
	If table.Items.Size>0 Then
		Dim n As Int=IIf(rowindex<=table.Items.Size-1,rowindex,table.Items.Size-1)
		table.SelectCell(n,1)
		table.RequestFocus
	End If
End Sub

Private Sub btn_add_Click
	If CurrentEditIndex>=0 Then
		EndEdit
		Wait For EndEdit_Complete
	End If
	Dim co As Int=table.Items.Size
	Dim tx As String=""
	Dim tf As TextField=CreateItemtf(tx,co)
	table.Items.Add(Array As Object(co+1,tf))
	CurrentEditIndex=co
	CallSubDelayed2(Me, "StartEdit",tf)
End Sub

Private Sub btn_back_Click
	If CurrentEditIndex>=0 Then
		EndEdit
		Wait For EndEdit_Complete
	End If
	table.RequestFocus
	B4XPages.ClosePage(Me)
End Sub

Sub texearea_initialize
	Dim sb As StringBuilder
	sb.Initialize
	sb.Append(CRLF).Append("1、选择单元格：").Append(CRLF)
	sb.Append("鼠标单击任一单元格或使用上下箭头键变换选择。").Append(CRLF)
	sb.Append("2、编辑单元格：").Append(CRLF)
	sb.Append("鼠标双击任一单元格编辑该单元格或按下回车键编辑当前选择的单元格。").Append(CRLF)
	sb.Append("3、结束编辑单元格：").Append(CRLF)
	sb.Append("编辑状态下鼠标双击单元格或按下回车键或鼠标单击其它单元格。").Append(CRLF)
	sb.Append("4、增加记录：").Append(CRLF)
	sb.Append("按F1键或鼠标单击新增按钮。").Append(CRLF)
	sb.Append("5、可编辑单元格：").Append(CRLF).Append("只有第二列单元格能选择编辑,序号列不可选择不可编辑。").Append(CRLF)
	TextArea1.Text=sb
	TextArea1.As(B4XView).TextColor=xui.Color_Gray
End Sub


Private Sub Resize_Scale
	Dim i As Int=1
	Dim row1(5) As Double=List1.Get(0)
	form.WindowTop=row1(0)*Scale
	form.WindowLeft=row1(1)*Scale
	form.WindowWidth=row1(2)*Scale
	form.WindowHeight=row1(3)*Scale
	For Each n As B4XView In Root.As(Pane)
		Dim row(5) As Double=List1.Get(i)
		n.Top=row(0)*Scale
		n.Left=row(1)*Scale
		n.Width=row(2)*Scale
		n.Height=row(3)*Scale
		n.TextSize=row(4)*Scale
		i=i+1
		Log(n.Width)
	Next
	row1=List1.Get(List1.Size-1)
	TextArea1.Top=row1(0)*Scale
	TextArea1.Left=row1(1)*Scale	
	TextArea1.SetSize(row1(2)*Scale,row1(3)*Scale)
	TextArea1.As(B4XView).TextSize=row1(4)*Scale
	i=0
	For Each n As B4XView In Pane2
		Dim row(5) As Double=List2.Get(i)
		n.Top=row(0)*Scale
		n.Left=row(1)*Scale
		n.Width=row(2)*Scale
		n.Height=row(3)*Scale
		n.TextSize=row(4)*Scale
		i=i+1
	Next
End Sub

Private Sub getSizes
	List1.Add(Array As Double(form.WindowTop,form.WindowLeft,form.WindowWidth,form.WindowHeight,0))
	For Each n As B4XView In Root.As(Pane)
		List1.Add(Array As Double(n.Top,n.Left,n.Width,n.Height,n.TextSize))
	Next
	List1.Add(Array As Double(TextArea1.Top,TextArea1.Left,TextArea1.As(B4XView).Width,TextArea1.As(B4XView).Height,TextArea1.As(B4XView).TextSize))
	For Each n As B4XView In Pane2
		List2.Add(Array As Double(n.Top,n.Left,n.Width,n.Height,n.TextSize))
	Next
End Sub

